POST/impactshop

Create Impact Shop

This API call creates templates that help the user call all mandatory parameters (shopName, horizon, and startDate along with any of the permuted parameters listed below) that are used to filter the event impact dataset. Once defined, it can be called as needed or linked to a Schedule.
POST/impactshop

Mandatory Fields

  • shopName
  • startDate
  • horizon

Important Notes

Search Criteria - Permuted Parameters:

  • eventids, shopName, horizon, startDate
  • estimatedAttendee, shopName, horizon, startDate
  • city, shopName, horizon, startDate
  • country, shopName, horizon, startDate
  • city, country, shopName, horizon, startDate
  • city, estimatedAttendee, shopName, horizon, startDate
  • country, estimatedAttendee, shopName, horizon, startDate

Parameter Details:

  • shopName - Your custom name for the impactShopId.
  • horizon - How many consecutive days from the call date to retrieve data for (days out). The maximum value for the horizon is 365.
  • startDate - Start date for the data retrieval.
    Format: "2021-10-02"
  • estimatedAttendee - Attendee count range or value.
    Format:
    • Range value - 100-500
    • Min value - <500
    • Max value - >500
    • Exact value - 500
  • category - A string containing category codes. It can be a number, a range, or both separated by commas.
    Example: { "category": "2,4-5" }
  • subCategory - A string containing subCategory codes. It can be a number, a range, or both separated by commas.
    Example: { "subCategory": "2,7,10-15" }

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
201CreatedCreated
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /impactshop \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "",
  "estimatedAttendee": "",
  "city": "",
  "country": "",
  "startDate": "2025-05-06",
  "horizon": 0,
  "eventIds": [],
  "category": "0",
  "subCategory": "0"
}

Example responses

201 Response
{
  "message": "Event impact shop created successfully",
  "impactShopId": 36418
}

Example 1

{
  "shopName": "Music Festival Shop",
  "estimatedAttendee": ">500",
  "city": "Virar",
  "country": "Australia",
  "startDate": "2026-04-01",
  "horizon": 90,
  "eventIds": [1],
  "category": "2",
  "subCategory": "10-14"
}

Example 2

{
  "shopName": "NYEvents_2022_1000",
  "estimatedAttendee": ">1000",
  "city": "Taorem",
  "country": "Sweden",
  "startDate": "2026-04-01",
  "horizon": 90,
  "eventIds": [1],
  "category": "4",
  "subCategory": "2,7"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.